﻿<html>

<head>
    <meta charset="UTF-8">
    <title>Salaxy plain jQuery samples</title>
    <!-- 
        These styles are mostly just to make samples look nicer, there is no real dependency.
        Only exception is Reports. They use this styling and require .salaxy-component class for styles defined in salaxy-component-bootstrap.css.
        Bootstrap is just a standard bootstrap (Not used by reports HTML).
    -->
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,400italic" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/salaxy-component-bootstrap.css" rel="stylesheet" type="text/css">

    <!-- These samples use jQuery as Framework -->
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
    <!-- Add reference to Salaxy libraries -->
    <script src="../../dist/npm/@salaxy/core/salaxy-core-all.js" type="text/javascript"></script>

    <!-- Samples scripts -->
    <script src="../_lib/samples-reused-helpers.js" type="text/javascript"></script>
    <script src="script.js" type="text/javascript"></script>
</head>

<body>
    <div class="container salaxy-component">
        <h2>Get all calculations</h2>
        <p class="lead">
            Get all the calculations that an authenticated user can access. Before you do this, you need to Log-in to the system.
        </p>
        <div class="row">
            <div class="col-xs-12 col-sm-4">
                <h3>Login</h3>
                <form>
                    <input type="text" id="loginUid" class="form-control" placeholder="Username (e-mail)" />
                    <input type="password" id="loginPwd" class="form-control" placeholder="Password" />
                    <button type="button" class="btn btn-success btn-block" onclick="sampleDoLogin()">Login</button>
                </form>
                <p>..then, after you see the success alert...</p>
                <button type="button" class="btn btn-success btn-block" onclick="getCalculations()">Click to get calculations</button>
            </div>
            <div class="col-xs-12 col-sm-8">
                <h3>List of calculations</h3>
                <table class="table" id="getAllCalcsResult">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Total Salary</th>
                            <th>Total Expences</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
    <p>&nbsp;</p>
</body>

</html>